Última pergunta sobre Apache Kafka

1
Responda

Jar de confluente não sendo reconhecido pelo Eclipse

Eu tenho a dependência abaixo no pom.xml. Posso baixar os dois jars, mas o Eclipse não está reconhecendo o kafka-json-schema-serializer. como posso resolver isso? Eu tentei limpar o projeto e deletar o projeto, reimportá-lo novamente, atualizar o projeto mas sem sucesso Também estou recebendo a mensagem abaixo quando executo a instalação do maven

java maven apache kafka eclipse

1
Responda

Qual é a melhor solução para lidar com um grande fluxo de mensagens kafka?

Estou construindo um novo microsserviço que possui dois tópicos kafka que fornecem uma grande pilha de mensagens que precisam ser processadas (o processamento envolve uma chamada REST para outro microsserviço) e republicar uma nova mensagem contendo a mensagem processada. Depois de alguma pesquisa, descobri que posso usar uma das seguintes soluções:

spring kafka apache kafka spring boot reactive kafka apache kafka streams

Etiquetas quentes

© 2021   OlaMundo.Org